package com.fastest.pass.signup.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.login.utils.LoginRoute
import com.fastest.pass.signup.utils.SignUpRoute
import kotlinx.coroutines.flow.MutableStateFlow

class SignUpViewModel : ViewModel() {

    private val _router = MutableStateFlow<SignUpRoute>(SignUpRoute.OpenNoneScreen)
    val router: MutableStateFlow<SignUpRoute> = _router

    fun navigateTo(signUpRoute: SignUpRoute) {
        _router.value = signUpRoute
    }
}